POST Agents/EMail/CreateDefaultEMailAddress
Some tooltip text!
• 2 minutes to read
• 2 minutes to read
POST /api/v1/Agents/EMail/CreateDefaultEMailAddress
Loading default values into a new EMailAddress.
NsApiSlow threshold: 5000 ms.
Online Restricted: ## The EMail agent is not available in Online by default. Access must be requested specifically when app is registered.
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: EMailAddress
| Property Name | Type | Description |
|---|---|---|
| ContactId | int32 | Primary key |
| ContactName | string | |
| PersonId | int32 | Primary key |
| PersonName | string | |
| AssociateId | int32 | Primary key |
| Address | string | |
| EmailId | int32 | Primary key |
| DuplicatePersonIds | array | All persons with this EmailAddress stored in db is listed here |
| Name | string | The name on the email address |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/EMail/CreateDefaultEMailAddress
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"ContactId": 853,
"ContactName": "Acme Corporation",
"PersonId": 66,
"PersonName": "John Anderson",
"AssociateId": 979,
"Address": "john.anderson@acmecorp.com",
"EmailId": 900,
"DuplicatePersonIds": [
616,
992
],
"Name": "John Anderson",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 566
}
}
}